<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PlanningOptionsSelection StructType
 * @subpackage Structs
 */
class PlanningOptionsSelection extends AbstractStructBase
{
    /**
     * The IncludeQuestionPathInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IncludeQuestionPathInfo;
    /**
     * The IncludeTachoActivities
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IncludeTachoActivities;
    /**
     * The IncludeTripRegistrations
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IncludeTripRegistrations;
    /**
     * The IncludePlaceScanIDs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IncludePlaceScanIDs;
    /**
     * Constructor method for PlanningOptionsSelection
     * @uses PlanningOptionsSelection::setIncludeQuestionPathInfo()
     * @uses PlanningOptionsSelection::setIncludeTachoActivities()
     * @uses PlanningOptionsSelection::setIncludeTripRegistrations()
     * @uses PlanningOptionsSelection::setIncludePlaceScanIDs()
     * @param bool $includeQuestionPathInfo
     * @param bool $includeTachoActivities
     * @param bool $includeTripRegistrations
     * @param bool $includePlaceScanIDs
     */
    public function __construct($includeQuestionPathInfo = null, $includeTachoActivities = null, $includeTripRegistrations = null, $includePlaceScanIDs = null)
    {
        $this
            ->setIncludeQuestionPathInfo($includeQuestionPathInfo)
            ->setIncludeTachoActivities($includeTachoActivities)
            ->setIncludeTripRegistrations($includeTripRegistrations)
            ->setIncludePlaceScanIDs($includePlaceScanIDs);
    }
    /**
     * Get IncludeQuestionPathInfo value
     * @return bool
     */
    public function getIncludeQuestionPathInfo()
    {
        return $this->IncludeQuestionPathInfo;
    }
    /**
     * Set IncludeQuestionPathInfo value
     * @param bool $includeQuestionPathInfo
     * @return \StructType\PlanningOptionsSelection
     */
    public function setIncludeQuestionPathInfo($includeQuestionPathInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeQuestionPathInfo) && !is_bool($includeQuestionPathInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeQuestionPathInfo, true), gettype($includeQuestionPathInfo)), __LINE__);
        }
        $this->IncludeQuestionPathInfo = $includeQuestionPathInfo;
        return $this;
    }
    /**
     * Get IncludeTachoActivities value
     * @return bool
     */
    public function getIncludeTachoActivities()
    {
        return $this->IncludeTachoActivities;
    }
    /**
     * Set IncludeTachoActivities value
     * @param bool $includeTachoActivities
     * @return \StructType\PlanningOptionsSelection
     */
    public function setIncludeTachoActivities($includeTachoActivities = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeTachoActivities) && !is_bool($includeTachoActivities)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeTachoActivities, true), gettype($includeTachoActivities)), __LINE__);
        }
        $this->IncludeTachoActivities = $includeTachoActivities;
        return $this;
    }
    /**
     * Get IncludeTripRegistrations value
     * @return bool
     */
    public function getIncludeTripRegistrations()
    {
        return $this->IncludeTripRegistrations;
    }
    /**
     * Set IncludeTripRegistrations value
     * @param bool $includeTripRegistrations
     * @return \StructType\PlanningOptionsSelection
     */
    public function setIncludeTripRegistrations($includeTripRegistrations = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeTripRegistrations) && !is_bool($includeTripRegistrations)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeTripRegistrations, true), gettype($includeTripRegistrations)), __LINE__);
        }
        $this->IncludeTripRegistrations = $includeTripRegistrations;
        return $this;
    }
    /**
     * Get IncludePlaceScanIDs value
     * @return bool
     */
    public function getIncludePlaceScanIDs()
    {
        return $this->IncludePlaceScanIDs;
    }
    /**
     * Set IncludePlaceScanIDs value
     * @param bool $includePlaceScanIDs
     * @return \StructType\PlanningOptionsSelection
     */
    public function setIncludePlaceScanIDs($includePlaceScanIDs = null)
    {
        // validation for constraint: boolean
        if (!is_null($includePlaceScanIDs) && !is_bool($includePlaceScanIDs)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includePlaceScanIDs, true), gettype($includePlaceScanIDs)), __LINE__);
        }
        $this->IncludePlaceScanIDs = $includePlaceScanIDs;
        return $this;
    }
}
